@charset "UTF-8";

.mask {
    position: fixed;
    overflow: auto;
    width: 100%;
    height: 100%;
    top: -1000%;
    bottom: 0;
    left: 0;
    right: 0;
    //background: rgba(0, 0, 0, 0.4);
    z-index: 10100;
    @include transition(top 0.3s ease-in-out);
    &.abs {
        position: absolute;
    }
    .mask-inner {
        display: table;
        width: 100%;
        height: 100%;
    }
    .msg, .loading {
        display: table-cell;
        vertical-align: middle;
    }
    &.active {
        display: block;
        top: 0;
    }
}
